Subject: Re: bug#26588: [PATCH 1/3] licenses: Add Bitstream Vera.

From: Clément Lassieur <[email-masked]>
Date: Mon, 01 May 2017 13:00:47 +0200

Marius Bakke <[email-masked]> writes:

> Clément Lassieur <[email-masked]> writes:
>
>> Marius Bakke <[email-masked]> writes:
>>
>>> Hello! Thanks for bringing this up.
>>>
>>> Clément Lassieur <[email-masked]> writes:
>>>
>>>> * guix/licenses.scm (bitstream-vera): New variable.
>>>
>>> [...]
>>>   
>>>> +(define bitstream-vera
>>>> +  (license "Bitstream Vera"
>>>> +           "https://www.gnome.org/fonts/#Final_Bitstream_Vera_Fonts"
>>>> +           "\"The Font Software may be sold as part of a larger software package
>>>> +but no copy of one or more of the Font Software typefaces may be sold by
>>>> +itself.\"
>>>> +
>>>> +The license is non-free because of the above clause, but a Guix package is a
>>>> +\"larger software package\"."))
>>>
>>> Instead of "officially recognizing" these licenses, which are unlikely
>>> to be re-used and ostensibly non-free, perhaps we could have a
>>> "fsdg-compatible" license procedure similar to "fsf-free". What do you
>>> think?
>>
>> Well, bitstream-vera is used twice (if we include 0ad).  But anyway
>> that's okay.  I should specify in the fsdg-compatible 'comment' argument
>> that it is non-free, right?  Or maybe all fsdg-compatible would be
>> non-free?
>
> 0ad could include (package-license font-bitstream-vera) instead. I also
> came across this font in "Hedgewars", so it's fairly prevalent.
>
> The default comment of the "fsdg-compatible" (or fsdg-free as Debian
> describes it[0]) license procedure should say something about not
> necessarily being free, but passing FSDG criteria; but it's good to have
> more specific comments in the actual packages.
>
> Anyway, just an opinion, but I think such a procedure would be nice to
> have :)
>
> [0] https://packages.debian.org/sid/ttf-bitstream-vera

Ok!  Here are two patches: one adds fsdg-compatible, and the other
updates the font package.  I'll also send the 0ad update to the 0ad
debbugs thread.